| showalign

## Function

Displays a multiple sequence alignment

## Description

showalign displays an aligned set of protein or a nucleic acid sequences in a style suitable for publication.

The output is sent to the screen by default for the user to view, but it can write the results to a file.

The output highlights various differences or similarities between each of the sequences and a reference sequence by setting selected types of matches to a reference sequence to be '.' characters.

The reference sequence can be either the calculated consensus sequence (the default) or it can be one of the set of aligned sequences, specified by either the ordinal number of that sequence in the input file, or by its name.

The output sequences can be displayed in either the input order (the default) or they can be sorted in order of their similarity to the reference sequence or sorted alphabetically by their names.

By using the '-show' option, the displayed sequences can either be shown as:

- complete (-show=All),
- only identical matches between the sequence and the reference sequence, all other positions being replaced by '.' characters (-show=Identities)
- non-identical matches, with identical matches being replaced by '.' characters, similar matches are shown in lower case (-show=Non-identities)
- similar matches, with non-similar matches being replaced by '.' characters, similar matches are shown in lower case (-show=Similarities)
- dissimilar matches, with identical or similar matches being replaced by '.' characters (-show=Dissimilarities)

A small table of the way these alignments are displayed illustrates this.
If we have a reference protein sequence of "III" and a sequence aligned to this of "ILW", then we have an identical matching residue, then a similar one, then a dissimilar one.
The different methods of display would give the following:

    Reference       III

    All             ILw
    Identical       I..
    Non-id          .lW
    Similar         Il.
    Dissimilar      ..W

Changing the similar matches to lowercase can optionally be disable by using the option -nosimilarcase.

The displayed sequence can be numbered by placing a ruler with ticks above the sequence.

The width of a line can be set. The width of a margin to the left of the sequences that shows the sequence names can be set.

Specified regions of the sequence can be displayed in uppercase to highlight them.

The output can be formatted for HTML.

If the output is being formatted for HTML, then specified regions of the sequence can be displayed in any valid HTML colours.

### The consensus line

The consensus line can be displayed in a mixture of uppercase and lowercase symbols.

The uppercase consensus symbol is indicates that the consensus is strong and lowercase indicates that it is weak.

The cutoff for setting the case of the consensus is set by the qualifier '-setcase'. If the number of residues at that position that match the consensus value is greater than this, then the symbol is in uppercase, otherwise the symbol is in lowercase. By default, the value of setcase is set so that if there are more than 50% of residues identical to the consunsus at that position, then the consensus is in uppercase.

To put all of the consensus symbols into uppercase or lowercase, make -setcase zero or very large (try 100000 ?).

## Usage

Here is a sample session with showalign

    % showalign
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the input files for this example
Go to the output files for this example

Example 2

Display the sequences in order of similarity to the reference sequence

    % showalign -order=s
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 3

Format for HTML and highlight some interesting regions in different colours:

    % showalign -html -high '4-13 green 43-43 red 51-56 blue'
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 4

No consensus line at the bottom No ruler line No numbers line Don't repeat the reference sequence at the bottom of the sequences Use sequence 1 as the reference sequence Display residues from position 10 to 30 only

    % showalign -nocon -norule -nonum -nobot -ref=1 -sb=10 -send=30
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 5

Show non-identities between the sequences

    % showalign -show=n
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Example 6

Show all of the sequences

    % showalign -show=a
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 7

Show identities between the sequences

    % showalign -show=i
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 8

Show similarities between the sequences

    % showalign -show=s
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 9

Show dissimilarities between the sequences

    % showalign -show=d
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 10

Use the first sequence as the reference to compare to:

    % showalign -ref=1
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 11

Show a range of sequences in uppercase, everything else in lowercase

    % showalign -nocon -ref=1 -sl -upper 9-15 -nosimilarcase
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

Example 12

Display the sequences in alphabetic order:

    % showalign -order=a
    Displays a multiple sequence alignment
    Input sequence set: globins.msf
    Output file [globins.showalign]:

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     The sequence alignment to be displayed.
      [-outfile]           outfile    Output file name

       Additional (Optional) qualifiers:
       -matrix             matrix     This is the scoring matrix file used when
                                      comparing sequences. By default it is the
                                      file 'EBLOSUM62' (for proteins) or the file
                                      'EDNAFULL' (for nucleic sequences). These
                                      files are found in the 'data' directory of
                                      the EMBOSS installation.
       -refseq             string     If you give the number in the alignment or
                                      the name of a sequence, it will be taken to
                                      be the reference sequence. The reference
                                      sequence is always show in full and is the
                                      one against which all the other sequences
                                      are compared. If this is set to 0 then the
                                      consensus sequence will be used as the
                                      reference sequence. By default the consensus
                                      sequence is used as the reference sequence.
       -[no]bottom         boolean    If this is true then the reference sequence
                                      is displayed at the bottom of the alignment
                                      as well as at the top.
       -show               menu       What to show
       -order              menu       Output order of the sequences
       -[no]similarcase    boolean    If this is set True, then when -show is set
                                      to 'Similarities' or 'Non-identities' and a
                                      residue is similar but not identical to the
                                      reference sequence residue, it will be
                                      changed to lower-case. If -show is set to
                                      'All' then non-identical, non-similar
                                      residues will be changed to lower-case. If
                                      this is False then no change to the case of
                                      the residues is made on the basis of their
                                      similarity to the reference sequence.
       -[no]consensus      boolean    If this is true then the consensus line is
                                      displayed.

       Advanced (Unprompted) qualifiers:
       -uppercase          range      Regions to put in uppercase.
                                      If this is left blank, then the sequence
                                      case is left alone.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are separated by any non-digit,
                                      non-alpha character.
                                      Examples of region specifications are:
                                      24-45, 56-78
                                      1:45, 67=99;765..888
                                      1,5,8,10,23,45,57,99
       -[no]number         boolean    If this option is true then a line giving
                                      the positions in the alignment is displayed
                                      every 10 characters above the alignment.
       -[no]ruler          boolean    If this option is true then a ruler line
                                      marking every 5th and 10th character in the
                                      alignment is displayed.
       -width              integer    Width of sequence to display
       -margin             integer    This sets the length of the left-hand margin
                                      for sequence names. If the margin is set at
                                      0 then no margin and no names are
                                      displayed. If the margin is set to a value
                                      that is less than the length of a sequence
                                      name then the sequence name is displayed
                                      truncated to the length of the margin. If
                                      the margin is set to -1 then the minimum
                                      margin width that will allow all the
                                      sequence names to be displayed in full plus
                                      a space at the end of the name will
                                      automatically be selected.
       -html               boolean    Use HTML formatting
       -highlight          range      Regions to colour if formatting for HTML.
                                      If this is left blank, then the sequence is
                                      left alone.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are followed by any valid HTML font
                                      colour.
                                      Examples of region specifications are:
                                      24-45 blue 56-78 orange
                                      1-100 green 120-156 red
                                      A file of ranges to colour (one range per
                                      line) can be specified as '@filename'.
       -plurality          float      Set a cut-off for the % of positive scoring
                                      matches below which there is no consensus.
                                      The default plurality is taken as 50% of the
                                      total weight of all the sequences in the
                                      alignment.
       -setcase            float      Sets the threshold for the scores of the
                                      positive matches above which the consensus
                                      is in upper-case and below which the
                                      consensus is in lower-case. By default this
                                      is set to be half of the (weight-adjusted)
                                      number of sequences in the alignment.
       -identity           float      Provides the facility of setting the
                                      required number of identities at a position
                                      for it to give a consensus. Therefore, if
                                      this is set to 100% only columns of
                                      identities contribute to the consensus.

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outfile" associated qualifiers
       -odirectory2         string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | The sequence alignment to be displayed. | Readable set of sequences | Required
[-outfile] (Parameter 2) | Output file name | Output file | <sequence>.showalign
Additional (Optional) qualifiers | Allowed values | Default
-matrix | This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation. | Comparison matrix file in EMBOSS data path | EBLOSUM62 for protein EDNAFULL for DNA

-refseq

If you give the number in the alignment or the name of a sequence, it will be taken to be the reference sequence. The reference sequence is always show in full and is the one against which all the other sequences are compared. If this is set to 0 then the consensus sequence will be used as the reference sequence. By default the consensus sequence is used as the reference sequence.

Any string is accepted

0

-[no]bottom | If this is true then the reference sequence is displayed at the bottom of the alignment as well as at the top. | Boolean value Yes/No | Yes

-show

What to show

A | (All of the sequences)
I | (Identities between the sequences)
N | (Non-identities between the sequences)
S | (Similarities between the sequences)
D | (Dissimilarities between the sequences)

N

-order

Output order of the sequences

I | (Input order - no change)
A | (Alphabetical order of the names)
S | (Similarity to the reference sequence)

I

-[no]similarcase

If this is set True, then when -show is set to 'Similarities' or 'Non-identities' and a residue is similar but not identical to the reference sequence residue, it will be changed to lower-case. If -show is set to 'All' then non-identical, non-similar residues will be changed to lower-case. If this is False then no change to the case of the residues is made on the basis of their similarity to the reference sequence.

Boolean value Yes/No

Yes

-[no]consensus | If this is true then the consensus line is displayed. | Boolean value Yes/No | Yes
Advanced (Unprompted) qualifiers | Allowed values | Default

-uppercase

Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

Sequence range

If this is left blank, then the sequence case is left alone.

-[no]number | If this option is true then a line giving the positions in the alignment is displayed every 10 characters above the alignment. | Boolean value Yes/No | Yes
-[no]ruler | If this option is true then a ruler line marking every 5th and 10th character in the alignment is displayed. | Boolean value Yes/No | Yes
-width | Width of sequence to display | Integer 1 or more | 60

-margin

This sets the length of the left-hand margin for sequence names. If the margin is set at 0 then no margin and no names are displayed. If the margin is set to a value that is less than the length of a sequence name then the sequence name is displayed truncated to the length of the margin. If the margin is set to -1 then the minimum margin width that will allow all the sequence names to be displayed in full plus a space at the end of the name will automatically be selected.

Integer -1 or more

-1

-html | Use HTML formatting | Boolean value Yes/No | No

-highlight

Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

Sequence range

full sequence

-plurality | Set a cut-off for the % of positive scoring matches below which there is no consensus. The default plurality is taken as 50% of the total weight of all the sequences in the alignment. | Number from 0.000 to 100.000 | 50.0
-setcase | Sets the threshold for the scores of the positive matches above which the consensus is in upper-case and below which the consensus is in lower-case. By default this is set to be half of the (weight-adjusted) number of sequences in the alignment. | Any numeric value | @( $(sequence.totweight) / 2)
-identity | Provides the facility of setting the required number of identities at a position for it to give a consensus. Therefore, if this is set to 100% only columns of identities contribute to the consensus. | Number from 0.000 to 100.000 | 0.0

## Input file format

showalign reads in a set of aligned protein or nucleic sequences.

### Input files for usage example

### File: globins.msf

    !!AA_MULTIPLE_ALIGNMENT 1.0

      ../data/globins.msf MSF:  164 Type: P 25/06/01 CompCheck: 4278 ..

      Name: HBB_HUMAN Len: 164  Check: 6914 Weight: 0.14
      Name: HBB_HORSE Len: 164  Check: 6007 Weight: 0.15
      Name: HBA_HUMAN Len: 164  Check: 3921 Weight: 0.15
      Name: HBA_HORSE Len: 164  Check: 4770 Weight: 0.19
      Name: MYG_PHYCA Len: 164  Check: 7930 Weight: 0.23
      Name: GLB5_PETMA Len: 164  Check: 1857 Weight: 0.21
      Name: LGB2_LUPLU Len: 164  Check: 2879 Weight: 0.10

    //

               1                                               50
    HBB_HUMAN  ~~~~~~~~VHLTPEEKSAVTALWGKVN.VDEVGGEALGR.LLVVYPWTQR
    HBB_HORSE  ~~~~~~~~VQLSGEEKAAVLALWDKVN.EEEVGGEALGR.LLVVYPWTQR
    HBA_HUMAN  ~~~~~~~~~~~~~~VLSPADKTNVKAA.WGKVGAHAGEYGAEALERMFLS
    HBA_HORSE  ~~~~~~~~~~~~~~VLSAADKTNVKAA.WSKVGGHAGEYGAEALERMFLG
    MYG_PHYCA  ~~~~~~~VLSEGEWQLVLHVWAKVEAD.VAGHGQDILIR.LFKSHPETLE
    GLB5_PETMA PIVDTGSVAPLSAAEKTKIRSAWAPVYSTYETSGVDILVKFFTSTPAAQE
    LGB2_LUPLU ~~~~~~~~GALTESQAALVKSSWEEFNANIPKHTHRFFILVLEIAPAAKD

               51                                             100
    HBB_HUMAN  FFESFGDLSTPDAVMGNPKVKAHGKKVLGAFSDGLAHLDNLKGTFATLSE
    HBB_HORSE  FFDSFGDLSNPGAVMGNPKVKAHGKKVLHSFGEGVHHLDNLKGTFAALSE
    HBA_HUMAN  FPTTKTYFPHFDLSHGSAQVKGHGKKVADALTNAVAHVDDMPNALSALSD
    HBA_HORSE  FPTTKTYFPHFDLSHGSAQVKAHGKKVGDALTLAVGHLDDLPGALSNLSD
    MYG_PHYCA  KFDRFKHLKTEAEMKASEDLKKHGVTVLTALGAILKKKGHHEAELKPLAQ
    GLB5_PETMA FFPKFKGLTTADQLKKSADVRWHAERIINAVNDAVASMDDTEKMSMKLRD
    LGB2_LUPLU LFSFLKGTSEVPQNNPELQAHAGKVFKLVYEAAIQLQVTGVVVTDATLKN

               101                                            150
    HBB_HUMAN  LHCDKLH..VDPENFRLLGNVLVCVLAHHFGKEFTPPVQAAYQKVVAGVA
    HBB_HORSE  LHCDKLH..VDPENFRLLGNVLVVVLARHFGKDFTPELQASYQKVVAGVA
    HBA_HUMAN  LHAHKLR..VDPVNFKLLSHCLLVTLAAHLPAEFTPAVHASLDKFLASVS
    HBA_HORSE  LHAHKLR..VDPVNFKLLSHCLLSTLAVHLPNDFTPAVHASLDKFLSSVS
    MYG_PHYCA  SHATKHK..IPIKYLEFISEAIIHVLHSRHPGDFGADAQGAMNKALELFR
    GLB5_PETMA LSGKHAK..SFQVDPQYFKVLAAVIADTVAAGDAGFEKLMSMICILLRSA
    LGB2_LUPLU LGSVHVSKGVADAHFPVVKEAILKTIKEVVGAKWSEELNSAWTIAYDELA

               151        164
    HBB_HUMAN  NALAHKYH~~~~~~
    HBB_HORSE  NALAHKYH~~~~~~
    HBA_HUMAN  TVLTSKYR~~~~~~
    HBA_HORSE  TVLTSKYR~~~~~~
    MYG_PHYCA  KDIAAKYKELGYQG
    GLB5_PETMA Y~~~~~~~~~~~~~
    LGB2_LUPLU IVIKKEMNDAA~~~

You can specifiy a file of ranges to display in uppercase by giving the '-uppercase' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-upper @myfile').

The format of the range file is:

- Comment lines start with '#' in the first column.
- Comment lines and blank lines are ignored.
- The line may start with white-space.
- There are two positive (integer) numbers per line separated by one or more space or
- TAB characters.
- The second number must be greater or equal to the first number.
- There can be optional text after the two numbers to annotate the line.
- White-space before or after the text is removed.

An example range file is:

    # this is my set of ranges
    12   23
     4   5       this is like 12-23, but smaller
    67   10348   interesting region

You can specifiy a file of ranges to highlight in a different colour when outputting in HTML format (using the '-html' qualifier) by giving the '-highlight' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-highlight @myfile').

The format of this file is very similar to the format of the above uppercase range file, except that the text after the start and end positions is used as the HTML colour name. This colour name is used 'as is' when specifying the colour in HTML in a '' construct, (where 'xxx' is the name of the colour).

The standard names of HTML font colours are given in:
http://http://www.w3.org/TR/REC-html40/types.html and http://www.ausmall.com.au/freegraf/ncolour2.htm and http://mindprod.com/htmlcolours.html (amongst other places).

An example highlight range file is:

    # this is my set of ranges
    12   23         red
     4   5          darkturquoise
    67   10348      #FFE4E1

## Output file format

showalign writes out a text file, optionally formatted for HTML.

### Output files for usage example

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------VHLTPE.K.AVTALWG.VN-VD.V.GEA.GR-LLVvY.WTQR..ES.GD.ST
    HBB_HORSE  --------VQLSGE.KaAVLALWD.VN-EE.V.GEA.GR-LLVvY.WTQR..DS.GD.SN
    HBA_HUMAN  --------------VL.PADKTNV.AA-WGkV.AHAGEYGAEAlERMFLS.PTTKTYFPH
    HBA_HORSE  --------------VL.AADKTNV.AA-WSkV.GHAGEYGAEAlERMFLG.PTTKTYFPH
    MYG_PHYCA  -------VLSEGEWqLVLHVWAKVeAD-VAGH.QDI.IR-LFKSH.ETLEK.DR.KH.KT
    GLB5_PETMA PIVDTGSVAPLSAA.KtKIRSAWAPVYSTY.TSGVDiLVKFFTST.AAQE..PK.KG.TT
    LGB2_LUPLU --------GALTESqAaLVKSSWEeFNANIPKHTHRFFILVLE.A.AAKDL.SFLKGTSE
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  PDAVMGnPK..A......G.FSDGlAH..n.KGTF.T..e..CD..H--.DPE..r..GN
    HBB_HORSE  PGAVMGnPK..A......HsFGEG.HH..n.KGTF.A..e..CD..H--.DPE..r..GN
    HBA_HUMAN  FDLSHG.AQ..G.....AD..TNA.AHv..mPNALsA.....AH...--.DPV.....SH
    HBA_HORSE  FDLSHG.AQ..A.....GD..TLA.GH....PGALsN.....AH...--.DPV.....SH
    MYG_PHYCA  EAEMKA.EDl.K..VT..T..GAIlKKKGHHEAELKP.aQS.AT.Hk--iPIKYLeFiSE
    GLB5_PETMA ADQLKK.AD.rW.AeriiN.vNDA.ASm..TEKMSMK.R..SGKHAk--SFQVdPqYFKV
    LGB2_LUPLU VPQNNPELQAHAGKVFK.VYEAAIQLQvTGvVVTD.T.Kn.GSVHvSKG.ADAh.PvvKE
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  V.vC..AHHFGKe..PP.Q.aYQ.VvAG..NA.AH..H------
    HBB_HORSE  V.vV..ARHFGK...PElQ..YQ.VvAG..NA.AH..H------
    HBA_HUMAN  C..VT.AAHLPAe..PA.H..LD.F.AS.sTV.TS..R------
    HBA_HORSE  C..ST.AVHLPN...PA.H..LD.F.SS.sTV.TS..R------
    MYG_PHYCA  AiiH..HSRHPG..GADAQGaMN.A.ELFRKDiAA..KELGYQG
    GLB5_PETMA LAAViADTVAAG.AGFEKLM.MICI.LRS.Y-------------
    LGB2_LUPLU Ai.KTiKEVVGAKwsEElNsaWTIAYDEl.IViKKeMNDAA---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 2

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------VHLTPE.K.AVTALWG.VN-VD.V.GEA.GR-LLVvY.WTQR..ES.GD.ST
    HBB_HORSE  --------VQLSGE.KaAVLALWD.VN-EE.V.GEA.GR-LLVvY.WTQR..DS.GD.SN
    HBA_HORSE  --------------VL.AADKTNV.AA-WSkV.GHAGEYGAEAlERMFLG.PTTKTYFPH
    HBA_HUMAN  --------------VL.PADKTNV.AA-WGkV.AHAGEYGAEAlERMFLS.PTTKTYFPH
    MYG_PHYCA  -------VLSEGEWqLVLHVWAKVeAD-VAGH.QDI.IR-LFKSH.ETLEK.DR.KH.KT
    GLB5_PETMA PIVDTGSVAPLSAA.KtKIRSAWAPVYSTY.TSGVDiLVKFFTST.AAQE..PK.KG.TT
    LGB2_LUPLU --------GALTESqAaLVKSSWEeFNANIPKHTHRFFILVLE.A.AAKDL.SFLKGTSE
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  PDAVMGnPK..A......G.FSDGlAH..n.KGTF.T..e..CD..H--.DPE..r..GN
    HBB_HORSE  PGAVMGnPK..A......HsFGEG.HH..n.KGTF.A..e..CD..H--.DPE..r..GN
    HBA_HORSE  FDLSHG.AQ..A.....GD..TLA.GH....PGALsN.....AH...--.DPV.....SH
    HBA_HUMAN  FDLSHG.AQ..G.....AD..TNA.AHv..mPNALsA.....AH...--.DPV.....SH
    MYG_PHYCA  EAEMKA.EDl.K..VT..T..GAIlKKKGHHEAELKP.aQS.AT.Hk--iPIKYLeFiSE
    GLB5_PETMA ADQLKK.AD.rW.AeriiN.vNDA.ASm..TEKMSMK.R..SGKHAk--SFQVdPqYFKV
    LGB2_LUPLU VPQNNPELQAHAGKVFK.VYEAAIQLQvTGvVVTD.T.Kn.GSVHvSKG.ADAh.PvvKE
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  V.vC..AHHFGKe..PP.Q.aYQ.VvAG..NA.AH..H------
    HBB_HORSE  V.vV..ARHFGK...PElQ..YQ.VvAG..NA.AH..H------
    HBA_HORSE  C..ST.AVHLPN...PA.H..LD.F.SS.sTV.TS..R------
    HBA_HUMAN  C..VT.AAHLPAe..PA.H..LD.F.AS.sTV.TS..R------
    MYG_PHYCA  AiiH..HSRHPG..GADAQGaMN.A.ELFRKDiAA..KELGYQG
    GLB5_PETMA LAAViADTVAAG.AGFEKLM.MICI.LRS.Y-------------
    LGB2_LUPLU Ai.KTiKEVVGAKwsEElNsaWTIAYDEl.IViKKeMNDAA---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 3

### File: globins.showalign

    <pre>
                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxx<font color=green>xxxxxxxxxx</font>xExSxxxxxxxKxxxxxExGxxxLxxxxx<font color=red>x</font>IxPxxxx<font color=blue>FFxxFx</font>xLxx
    HBB_HUMAN  ---<font color=green>-----VHLTP</font>E.K.AVTALWG.VN-VD.V.GEA.GR-LL<font color=red>V</font>vY.WTQR<font color=blue>..ES.G</font>D.ST
    HBB_HORSE  ---<font color=green>-----VQLSG</font>E.KaAVLALWD.VN-EE.V.GEA.GR-LL<font color=red>V</font>vY.WTQR<font color=blue>..DS.G</font>D.SN
    HBA_HUMAN  ---<font color=green>----------</font>-VL.PADKTNV.AA-WGkV.AHAGEYGAE<font color=red>A</font>lERMFLS<font color=blue>.PTTKT</font>YFPH
    HBA_HORSE  ---<font color=green>----------</font>-VL.AADKTNV.AA-WSkV.GHAGEYGAE<font color=red>A</font>lERMFLG<font color=blue>.PTTKT</font>YFPH
    MYG_PHYCA  ---<font color=green>----VLSEGE</font>WqLVLHVWAKVeAD-VAGH.QDI.IR-LF<font color=red>K</font>SH.ETLE<font color=blue>K.DR.K</font>H.KT
    GLB5_PETMA PIV<font color=green>DTGSVAPLSA</font>A.KtKIRSAWAPVYSTY.TSGVDiLVKFF<font color=red>T</font>ST.AAQE<font color=blue>..PK.K</font>G.TT
    LGB2_LUPLU ---<font color=green>-----GALTE</font>SqAaLVKSSWEeFNANIPKHTHRFFILVL<font color=red>E</font>.A.AAKD<font color=blue>L.SFLK</font>GTSE
    Consensus  xxx<font color=green>xxxxxxxxxx</font>xExSxxxxxxxKxxxxxExGxxxLxxxxx<font color=red>x</font>IxPxxxx<font color=blue>FFxxFx</font>xLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  PDAVMGnPK..A......G.FSDGlAH..n.KGTF.T..e..CD..H--.DPE..r..GN
    HBB_HORSE  PGAVMGnPK..A......HsFGEG.HH..n.KGTF.A..e..CD..H--.DPE..r..GN
    HBA_HUMAN  FDLSHG.AQ..G.....AD..TNA.AHv..mPNALsA.....AH...--.DPV.....SH
    HBA_HORSE  FDLSHG.AQ..A.....GD..TLA.GH....PGALsN.....AH...--.DPV.....SH
    MYG_PHYCA  EAEMKA.EDl.K..VT..T..GAIlKKKGHHEAELKP.aQS.AT.Hk--iPIKYLeFiSE
    GLB5_PETMA ADQLKK.AD.rW.AeriiN.vNDA.ASm..TEKMSMK.R..SGKHAk--SFQVdPqYFKV
    LGB2_LUPLU VPQNNPELQAHAGKVFK.VYEAAIQLQvTGvVVTD.T.Kn.GSVHvSKG.ADAh.PvvKE
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  V.vC..AHHFGKe..PP.Q.aYQ.VvAG..NA.AH..H------
    HBB_HORSE  V.vV..ARHFGK...PElQ..YQ.VvAG..NA.AH..H------
    HBA_HUMAN  C..VT.AAHLPAe..PA.H..LD.F.AS.sTV.TS..R------
    HBA_HORSE  C..ST.AVHLPN...PA.H..LD.F.SS.sTV.TS..R------
    MYG_PHYCA  AiiH..HSRHPG..GADAQGaMN.A.ELFRKDiAA..KELGYQG
    GLB5_PETMA LAAViADTVAAG.AGFEKLM.MICI.LRS.Y-------------
    LGB2_LUPLU Ai.KTiKEVVGAKwsEElNsaWTIAYDEl.IViKKeMNDAA---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

    </pre>

### Output files for usage example 4

### File: globins.showalign

    HBB_HUMAN  HLTPEEKSAVTALWGKVN-VD
    HBB_HORSE  Q.sG...a..L...D...-Ee
    HBA_HUMAN  -----VL.PADKTNV.AA-WG
    HBA_HORSE  -----VL..ADKTNV.AA-WS
    MYG_PHYCA  SEGEWqLVLHVWAKVeAd-.A
    GLB5_PETMA P.sAA..tKiRsA.AP.YSTY
    LGB2_LUPLU A..ESqAaL.KsS.EeF.ANI

### Output files for usage example 6

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------vhltpeEkSavtalwgKvn-vdEvGgeaLgr-llvVyPwtqrFFesFgdLst
    HBB_HORSE  --------vqlsgeEkAavlalwdKvn-eeEvGgeaLgr-llvVyPwtqrFFdsFgdLsn
    HBA_HUMAN  --------------vlSpadktnvKaa-wgKvGahageygaeaLermflsFpttktyfph
    HBA_HORSE  --------------vlSaadktnvKaa-wsKvGghageygaeaLermflgFpttktyfph
    MYG_PHYCA  -------vlsegewQlvlhvwakvEad-vaghGqdiLir-lfkshPetlekFdrFkhLkt
    GLB5_PETMA pivdtgsvaplsaaEkTkirsawapvystyEtsgvdIlvkfftstPaaqeFFpkFkgLtt
    LGB2_LUPLU --------galtesQaAlvkssweEfnanipkhthrffilvleIaPaakdlFsflkgtse
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  pdavmgNpkVKaHGKKVLgAfsdgLahLDNLkgtfAtLSELHcdKLh--VdpeNFRLLgn
    HBB_HORSE  pgavmgNpkVKaHGKKVLhSfgegVhhLDNLkgtfAaLSELHcdKLh--VdpeNFRLLgn
    HBA_HUMAN  fdlshgSaqVKgHGKKVadALtnaVahVDDMpnalSaLSDLHahKLR--VdpvNFKLLsh
    HBA_HORSE  fdlshgSaqVKaHGKKVgdALtlaVghLDDLpgalSnLSDLHahKLR--VdpvNFKLLsh
    MYG_PHYCA  eaemkaSedLKkHGvtVLtALgaiLkkkghheaelkpLAqsHatKhK--IpikylEfIse
    GLB5_PETMA adqlkkSadVRwHaERIInAVndaVasMDDtekmsmkLrDLsgkhaK--sfqvDpQyfkv
    LGB2_LUPLU vpqnnpelqahagkvfkLvyeaaiqlqVtgVvvtdAtLkNLgsvhVskgVadaHFpVVke
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  vLVcVLahhfgkEFTppVqAAyqKvVagVAnaLahKYh------
    HBB_HORSE  vLVvVLarhfgkDFTpeLqASyqKvVagVAnaLahKYh------
    HBA_HUMAN  cLLvtLaahlpaEFTpaVhASldKfLasVStvLtsKYr------
    HBA_HORSE  cLLstLavhlpnDFTpaVhASldKfLssVStvLtsKYr------
    MYG_PHYCA  aIIhVLhsrhpgDFgadaqgAmnKaLelfrkdIaaKYkelgyqg
    GLB5_PETMA laavIadtvaagDagfeklmSmiciLlrsAy-------------
    LGB2_LUPLU aILktIkevvgakWSeeLnSAwtiaydeLAivIkkEmndaa---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 7

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------......E.S.......K..-..E.G...L..-.....P....FF..F..L..
    HBB_HORSE  --------......E.........K..-..E.G...L..-.....P....FF..F..L..
    HBA_HUMAN  --------------..S.......K..-....G.................F.........
    HBA_HORSE  --------------..S.......K..-....G.................F.........
    MYG_PHYCA  -------....................-....G...L..-.....P.....F..F..L..
    GLB5_PETMA ..............E...............E..............P....FF..F..L..
    LGB2_LUPLU --------...................................I.P.....F........
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  .........VK.HGKKVL.A.......LD.L....A.LS.LH..KL.--V...NF.LL..
    HBB_HORSE  .........VK.HGKKVL......V..LD.L....A.LS.LH..KL.--V...NF.LL..
    HBA_HUMAN  ......S..VK.HGKKV..AL...V...DD.......LSDLH..KLR--V...NFKLL..
    HBA_HORSE  ......S..VK.HGKKV..AL...V..LDDL......LSDLH..KLR--V...NFKLL..
    MYG_PHYCA  ......S...K.HG..VL.AL................L...H..K..--...........
    GLB5_PETMA ......S..V..H......A....V...DD.......L.DL......--...........
    LGB2_LUPLU .................L.................A.L..L........V....F.....
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  .L..VL.......FT..V.A...K....VA..L..KY.------
    HBB_HORSE  .L..VL......DFT....AS..K....VA..L..KY.------
    HBA_HUMAN  .LL..L.......FT..V.AS..K.L..V...L..KY.------
    HBA_HORSE  .LL..L......DFT..V.AS..K.L..V...L..KY.------
    MYG_PHYCA  ....VL......DF.........K.L.........KY.......
    GLB5_PETMA ............D.......S....L...A.-------------
    LGB2_LUPLU ..L..........................A...........---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 8

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------......E.S.......K..-..E.G...L..-...v.P....FF..F..L..
    HBB_HORSE  --------......E.a.......K..-..E.G...L..-...v.P....FF..F..L..
    HBA_HUMAN  --------------..S.......K..-..k.G..........l......F.........
    HBA_HORSE  --------------..S.......K..-..k.G..........l......F.........
    MYG_PHYCA  -------.......q.........e..-....G...L..-.....P.....F..F..L..
    GLB5_PETMA ..............E.t.............E.....i........P....FF..F..L..
    LGB2_LUPLU --------......q.a.......e..................I.P.....F........
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  ......n..VK.HGKKVL.A....l..LDnL....A.LSeLH..KL.--V...NFrLL..
    HBB_HORSE  ......n..VK.HGKKVL.s....V..LDnL....A.LSeLH..KL.--V...NFrLL..
    HBA_HUMAN  ......S..VK.HGKKV..AL...V..vDDm....s.LSDLH..KLR--V...NFKLL..
    HBA_HORSE  ......S..VK.HGKKV..AL...V..LDDL....s.LSDLH..KLR--V...NFKLL..
    MYG_PHYCA  ......S..lK.HG..VL.AL...l............La..H..K.k--i.....e.i..
    GLB5_PETMA ......S..Vr.H.erii.Av...V..mDD.......L.DL.....k--....d.q....
    LGB2_LUPLU .................L.........v..v....A.L.nL....v...V...hF.vv..
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  .Lv.VL......eFT..V.Aa..K.v..VA..L..KY.------
    HBB_HORSE  .Lv.VL......DFT..l.AS..K.v..VA..L..KY.------
    HBA_HUMAN  .LL..L......eFT..V.AS..K.L..Vs..L..KY.------
    HBA_HORSE  .LL..L......DFT..V.AS..K.L..Vs..L..KY.------
    MYG_PHYCA  .ii.VL......DF......a..K.L......i..KY.......
    GLB5_PETMA ....i.......D.......S....L...A.-------------
    LGB2_LUPLU .iL..i.......ws..l.sa.......lA..i..e.....---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 9

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    HBB_HUMAN  --------VHLTPE.K.AVTALWG.VN-VD.V.GEA.GR-LLV.Y.WTQR..ES.GD.ST
    HBB_HORSE  --------VQLSGE.K.AVLALWD.VN-EE.V.GEA.GR-LLV.Y.WTQR..DS.GD.SN
    HBA_HUMAN  --------------VL.PADKTNV.AA-WG.V.AHAGEYGAEA.ERMFLS.PTTKTYFPH
    HBA_HORSE  --------------VL.AADKTNV.AA-WS.V.GHAGEYGAEA.ERMFLG.PTTKTYFPH
    MYG_PHYCA  -------VLSEGEW.LVLHVWAKV.AD-VAGH.QDI.IR-LFKSH.ETLEK.DR.KH.KT
    GLB5_PETMA PIVDTGSVAPLSAA.K.KIRSAWAPVYSTY.TSGVD.LVKFFTST.AAQE..PK.KG.TT
    LGB2_LUPLU --------GALTES.A.LVKSSWE.FNANIPKHTHRFFILVLE.A.AAKDL.SFLKGTSE
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    HBB_HUMAN  PDAVMG.PK..A......G.FSDG.AH....KGTF.T.....CD..H--.DPE.....GN
    HBB_HORSE  PGAVMG.PK..A......H.FGEG.HH....KGTF.A.....CD..H--.DPE.....GN
    HBA_HUMAN  FDLSHG.AQ..G.....AD..TNA.AH....PNAL.A.....AH...--.DPV.....SH
    HBA_HORSE  FDLSHG.AQ..A.....GD..TLA.GH....PGAL.N.....AH...--.DPV.....SH
    MYG_PHYCA  EAEMKA.ED..K..VT..T..GAI.KKKGHHEAELKP..QS.AT.H.--.PIKYL.F.SE
    GLB5_PETMA ADQLKK.AD..W.A....N..NDA.AS...TEKMSMK.R..SGKHA.--SFQV.P.YFKV
    LGB2_LUPLU VPQNNPELQAHAGKVFK.VYEAAIQLQ.TG.VVTD.T.K..GSVH.SKG.ADA..P..KE
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    HBB_HUMAN  V..C..AHHFGK...PP.Q..YQ.V.AG..NA.AH..H------
    HBB_HORSE  V..V..ARHFGK...PE.Q..YQ.V.AG..NA.AH..H------
    HBA_HUMAN  C..VT.AAHLPA...PA.H..LD.F.AS..TV.TS..R------
    HBA_HORSE  C..ST.AVHLPN...PA.H..LD.F.SS..TV.TS..R------
    MYG_PHYCA  A..H..HSRHPG..GADAQG.MN.A.ELFRKD.AA..KELGYQG
    GLB5_PETMA LAAV.ADTVAAG.AGFEKLM.MICI.LRS.Y-------------
    LGB2_LUPLU A..KT.KEVVGAK..EE.N..WTIAYDE..IV.KK.MNDAA---
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 10

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  --------VHLTPEEKSAVTALWGKVN-VDEVGGEALGR-LLVVYPWTQRFFESFGDLST
    HBB_HORSE  --------.Q.sG...a..L...D...-Ee.........-............d......N
    HBA_HUMAN  --------------VL.PADKTNV.AA-WGk..AH.GEYGAEAlERMFLS.PTtKTYFPH
    HBA_HORSE  --------------VL..ADKTNV.AA-WSk...H.GEYGAEAlERMFLG.PTtKTYFPH
    MYG_PHYCA  -------VlSEGEWqLVLHVWAKVeAd-.AGH.QdI.I.-.FKSh.E.LEK.dR.KH.K.
    GLB5_PETMA PIVDTGSVAP.sAA..tKiRsA.AP.YSTY.TS.VDiLVKFFTST.AA.E..PK.KG.t.
    LGB2_LUPLU --------GA..ESqAaL.KsS.EeF.ANIPKHTHRFFILv.EiA.AAkDL.SFLKGT.E
    HBB_HUMAN  --------VHLTPEEKSAVTALWGKVN-VDEVGGEALGR-LLVVYPWTQRFFESFGDLST
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  PDAVMGNPKVKAHGKKVLGAFSDGLAHLDNLKGTFATLSELHCDKLH--VDPENFRLLGN
    HBB_HORSE  .G................Hs.Ge.vH..........A..........--...........
    HBA_HUMAN  F.LSH.sAq..G.....AD.LtnAv..v.dmPNALsA..d..AH..R--...V..k..Sh
    HBA_HORSE  F.LSH.sAq........GD.LtLAvG...d.P.ALsN..d..AH..R--...V..k..Sh
    MYG_PHYCA  EAEmKAsEDl.K..VT..T.LGAI.KKKGhHeAELKP.aqS.AT.HK--iPIkYLEFiSE
    GLB5_PETMA A.QlKKsAD.rW.AeriiN.Vn.Av.Sm.dTeKMSMK.Rd.SGKHAK--SFQVdPqYFKV
    LGB2_LUPLU VPQNNPELqAH.GKVFK.VYEaAIQLQvTGvVV.D...KN.GSVHvSKG.ADAh.PvvKE
    HBB_HUMAN  PDAVMGNPKVKAHGKKVLGAFSDGLAHLDNLKGTFATLSELHCDKLH--VDPENFRLLGN
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  VLVCVLAHHFGKEFTPPVQAAYQKVVAGVANALAHKYH------
    HBB_HORSE  ...V...R....d...El..s.................------
    HBA_HUMAN  C.lVT..A.LPA....A.H.sLD.Fl.S.sTV.TS..R------
    HBA_HORSE  C.lST..V.LPNd...A.H.sLD.FlsS.sTV.TS..R------
    MYG_PHYCA  AiiH..HSRHPGd.GADA.G.MN.AlELFRKDi.A..KELGYQG
    GLB5_PETMA lAAViADTVAAGdAGFEKLMsMICilLRS.Y-------------
    LGB2_LUPLU AilKTiKEVV.AkwsEElNs.wTIAYDEl.IViKKeMnDAA---
    HBB_HUMAN  VLVCVLAHHFGKEFTPPVQAAYQKVVAGVANALAHKYH------
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

### Output files for usage example 11

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  --------VHLTPEEksavtalwgkvn-vdevggealgr-llvvypwtqrffesfgdlst
    HBB_HORSE  --------.Q.SG...a..l...d...-ee.........-............d......n
    HBA_HUMAN  --------------Vl.padktnv.aa-wgk..ah.geygaealermfls.pttktyfph
    HBA_HORSE  --------------Vl..adktnv.aa-wsk...h.geygaealermflg.pttktyfph
    MYG_PHYCA  -------vLSEGEWQlvlhvwakvead-.agh.qdi.i.-.fksh.e.lek.dr.kh.k.
    GLB5_PETMA pivdtgsvAP.SAA..tkirsa.ap.ysty.ts.vdilvkfftst.aa.e..pk.kg.t.
    LGB2_LUPLU --------GA..ESQaal.kss.eef.anipkhthrffilv.eia.aakdl.sflkgt.e
    HBB_HUMAN  --------VHLTPEEksavtalwgkvn-vdevggealgr-llvvypwtqrffesfgdlst

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  pdavmgnpkvkahgkkvlgafsdglahldnlkgtfatlselhcdklh--vdpenfrllgn
    HBB_HORSE  .g................hs.ge.vh..........a..........--...........
    HBA_HUMAN  f.lsh.saq..g.....ad.ltnav..v.dmpnalsa..d..ah..r--...v..k..sh
    HBA_HORSE  f.lsh.saq........gd.ltlavg...d.p.alsn..d..ah..r--...v..k..sh
    MYG_PHYCA  eaemkasedl.k..vt..t.lgai.kkkghheaelkp.aqs.at.hk--ipikylefise
    GLB5_PETMA a.qlkksad.rw.aeriin.vn.av.sm.dtekmsmk.rd.sgkhak--sfqvdpqyfkv
    LGB2_LUPLU vpqnnpelqah.gkvfk.vyeaaiqlqvtgvvv.d...kn.gsvhvskg.adah.pvvke
    HBB_HUMAN  pdavmgnpkvkahgkkvlgafsdglahldnlkgtfatlselhcdklh--vdpenfrllgn

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    HBB_HUMAN  vlvcvlahhfgkeftppvqaayqkvvagvanalahkyh------
    HBB_HORSE  ...v...r....d...el..s.................------
    HBA_HUMAN  c.lvt..a.lpa....a.h.sld.fl.s.stv.ts..r------
    HBA_HORSE  c.lst..v.lpnd...a.h.sld.flss.stv.ts..r------
    MYG_PHYCA  aiih..hsrhpgd.gada.g.mn.alelfrkdi.a..kelgyqg
    GLB5_PETMA laaviadtvaagdagfeklmsmicillrs.y-------------
    LGB2_LUPLU ailktikevv.akwseelns.wtiaydel.ivikkemndaa---
    HBB_HUMAN  vlvcvlahhfgkeftppvqaayqkvvagvanalahkyh------

### Output files for usage example 12

### File: globins.showalign

                       10        20        30        40        50        60
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx
    GLB5_PETMA PIVDTGSVAPLSAA.KtKIRSAWAPVYSTY.TSGVDiLVKFFTST.AAQE..PK.KG.TT
    HBA_HORSE  --------------VL.AADKTNV.AA-WSkV.GHAGEYGAEAlERMFLG.PTTKTYFPH
    HBA_HUMAN  --------------VL.PADKTNV.AA-WGkV.AHAGEYGAEAlERMFLS.PTTKTYFPH
    HBB_HORSE  --------VQLSGE.KaAVLALWD.VN-EE.V.GEA.GR-LLVvY.WTQR..DS.GD.SN
    HBB_HUMAN  --------VHLTPE.K.AVTALWG.VN-VD.V.GEA.GR-LLVvY.WTQR..ES.GD.ST
    LGB2_LUPLU --------GALTESqAaLVKSSWEeFNANIPKHTHRFFILVLE.A.AAKDL.SFLKGTSE
    MYG_PHYCA  -------VLSEGEWqLVLHVWAKVeAD-VAGH.QDI.IR-LFKSH.ETLEK.DR.KH.KT
    Consensus  xxxxxxxxxxxxxxExSxxxxxxxKxxxxxExGxxxLxxxxxxIxPxxxxFFxxFxxLxx

                       70        80        90       100       110       120
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx
    GLB5_PETMA ADQLKK.AD.rW.AeriiN.vNDA.ASm..TEKMSMK.R..SGKHAk--SFQVdPqYFKV
    HBA_HORSE  FDLSHG.AQ..A.....GD..TLA.GH....PGALsN.....AH...--.DPV.....SH
    HBA_HUMAN  FDLSHG.AQ..G.....AD..TNA.AHv..mPNALsA.....AH...--.DPV.....SH
    HBB_HORSE  PGAVMGnPK..A......HsFGEG.HH..n.KGTF.A..e..CD..H--.DPE..r..GN
    HBB_HUMAN  PDAVMGnPK..A......G.FSDGlAH..n.KGTF.T..e..CD..H--.DPE..r..GN
    LGB2_LUPLU VPQNNPELQAHAGKVFK.VYEAAIQLQvTGvVVTD.T.Kn.GSVHvSKG.ADAh.PvvKE
    MYG_PHYCA  EAEMKA.EDl.K..VT..T..GAIlKKKGHHEAELKP.aQS.AT.Hk--iPIKYLeFiSE
    Consensus  xxxxxxSxxVKxHGKKVLxALxxxVxxLDDLxxxxAxLSDLHxxKLRxxVxxxNFKLLxx

                      130       140       150       160       170       180
               ----:----|----:----|----:----|----:----|----:----|----:----|
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx
    GLB5_PETMA LAAViADTVAAG.AGFEKLM.MICI.LRS.Y-------------
    HBA_HORSE  C..ST.AVHLPN...PA.H..LD.F.SS.sTV.TS..R------
    HBA_HUMAN  C..VT.AAHLPAe..PA.H..LD.F.AS.sTV.TS..R------
    HBB_HORSE  V.vV..ARHFGK...PElQ..YQ.VvAG..NA.AH..H------
    HBB_HUMAN  V.vC..AHHFGKe..PP.Q.aYQ.VvAG..NA.AH..H------
    LGB2_LUPLU Ai.KTiKEVVGAKwsEElNsaWTIAYDEl.IViKKeMNDAA---
    MYG_PHYCA  AiiH..HSRHPG..GADAQGaMN.A.ELFRKDiAA..KELGYQG
    Consensus  xLLxVLxxxxxxDFTxxVxASxxKxLxxVAxxLxxKYxxxxxxx

## Data files

showalign reads in scoring matrices to determine the consesnus sequence and to determine which matches are similar or not.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.